#
# spec file for package epiphany-extensions (Version 2.16.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs epiphany epiphany-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-doc-utils gnome-doc-utils-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool iso-codes klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidl libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel mozilla-xulrunner181 mozilla-xulrunner181-devel ncurses ncurses-devel net-tools netcfg openldap2-client opensp opensp-devel openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig pm-utils pmtools popt popt-devel post-build-checks procinfo procps psmisc pwdutils python python-cairo python-devel python-gnome python-gobject2 python-gtk python-numeric python-orbit rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info sqlite startup-notification strace sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           epiphany-extensions
%define xulrunner_version 181
BuildRequires:  epiphany epiphany-devel gcc-c++ gnome-common gnome-doc-utils-devel gnutls-devel gtk2 intltool libgnomeprintui-devel libwnck-devel libxml2-python mDNSResponder-devel mozilla-xulrunner181-devel opensp-devel perl-XML-Parser python-devel scrollkeeper update-desktop-files
Version:        2.16.1
Release:        35
Url:            http://www.gnome.org/projects/epiphany/
Prefix:         /opt/gnome
Group:          Productivity/Networking/Web/Browsers
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Extensions Collection for Epiphany
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.8/%{name}-%{version}.tar.bz2
AutoReqProv:    on
Provides:       epiphany-plugins
Obsoletes:      epiphany-plugins
%if %suse_version < 1000
BuildRequires:  mozilla-devel
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla)
Requires:       mozilla = %{mozilla_ver}
%endif
%if %suse_version > 1000 && %suse_version < 1010
BuildRequires:  mozilla-xulrunner-devel
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla-xulrunner)
Requires:       mozilla-xulrunner = %{mozilla_ver}
%endif
%if %suse_version > 1010
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla-xulrunner%{xulrunner_version})
Requires:       mozilla-xulrunner%{xulrunner_version} = %{mozilla_ver}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the following Epiphany extensions: Error Viewer
and Validator, Mouse Gestures, Popup Blocker, and Tabs Move-To Menu.



Authors:
--------
    Marco Pesenti Gritti <marco@it.gnome.org>
    Adam Hooper <adamh@cvs.gnome.org>
    Christian Persch <chpe@gnome.org>
    Lee Willis

%debug_package
%prep
%setup

%build
# Disable dashboard extension and keep all others (--without-extensions=dashboard):
sed -i 's/\(_EXTENSIONS=.*\) dashboard /\1 /' configure.ac
libtoolize --force --copy
intltoolize --force --copy
aclocal -I m4
automake --add-missing
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure\
 --prefix=%prefix \
 --libexecdir=%prefix/%{_lib} \
 --sysconfdir=/etc/%prefix \
 --localstatedir=/var/%prefix \
 --libdir=%prefix/%{_lib} \
 --with-extensions=all \
 --enable-compile-warnings=yes \
 --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}-2.16
rm $RPM_BUILD_ROOT%prefix/%{_lib}/epiphany/2.16/extensions/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.16.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README TODO
#%prefix/%{_lib}/epiphany/2.16/extensions/*.xml
#%prefix/%{_lib}/epiphany/2.16/extensions/*.so.*
%prefix/%{_lib}/epiphany/2.16/extensions/*.so
%prefix/%{_lib}/epiphany/2.16/extensions/*.py*
%prefix/%{_lib}/epiphany/2.16/extensions/*extension
%prefix/share/epiphany-extensions
%dir %prefix/share/gnome/help/epiphany-extensions
%dir %prefix/share/gnome/help/epiphany-extensions/C
%dir %prefix/share/gnome/help/epiphany-extensions/C/figures
%dir %prefix/share/omf/epiphany-extensions
%prefix/share/omf/epiphany-extensions/*
%prefix/share/gnome/help/epiphany-extensions/C/figures/*
%prefix/share/gnome/help/epiphany-extensions/C/*

%changelog
* Tue Nov 07 2006 - sbrabec@suse.cz
- Use exact xulrunner version 181 (#216100).
* Tue Nov 07 2006 - meissner@suse.de
- use RPM_OPT_FLAGS also for C++
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches
- Update for gnome-doc-utils-devel
* Mon Oct 02 2006 - jhargadon@suse.de
- update to version 2.16.1
- Sync with epiphany
* Fri Sep 15 2006 - jhargadon@suse.de
- update to version 2.16.0
- Fix varargs
- Sync with epiphany
* Fri Sep 01 2006 - jhargadon@suse.de
- update to version 2.15.2
- Live HTTP Headers
- Update Adblock with last blacklist from upstream
- Update intltool requirement to 0.35
- Drop support for gecko 1.7
- Don't ship dashboard extension (too broken)
- Don't ship imagebar extension (too broken)
- Show a notification dialog when a duplicate sidebar is added [#333306]
- translation updates
- Make the Extension Manager reflect which extensions are enabled,
  not which are active. Fixes bug #164704
- Remove references to bookmarks-tray
* Mon Apr 24 2006 - sbrabec@suse.cz
- Typo fix in cs.po.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 1.8.2
- Remove upstreamed xulrunner patch
* Wed Nov 09 2005 - sbrabec@suse.cz
- Build with xulrunner.
- Fixed extra qualification.
* Mon Oct 24 2005 - sbrabec@suse.cz
- Updated to version 1.8.1.
- Disabled dashboard extension.
- Fixed extension directories ownership.
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 1.8.0.
* Wed Aug 24 2005 - gekker@suse.de
- Update to version 1.7.4
* Fri Aug 05 2005 - sbrabec@suse.cz
- Updated to version 1.7.3.
- Removed files from unneeded devel subpackage.
* Tue Apr 26 2005 - gekker@suse.de
- Add sentinel.patch to fix warning
- Turn off -Werror
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 1.6.0 (GNOME 2.10).
* Fri Feb 18 2005 - sbrabec@suse.cz
- Updated to version 1.5.7.
* Tue Feb 08 2005 - ro@suse.de
- update to 1.5.6
* Tue Jan 18 2005 - ro@suse.de
- update to 1.5.4 / patch to build with current epiphany
* Tue Jan 18 2005 - ro@suse.de
- update to 1.5.3
* Fri Jan 14 2005 - ro@suse.de
- update to 1.4.4 to accept mozilla 1.7.5
* Fri Oct 29 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Aug 24 2004 - ro@suse.de
- accept mozilla-1.7.2 in configure
* Tue May 11 2004 - sbrabec@suse.cz
- New SuSE package, version 0.8.2.
